kr.co.hanwha.hifive.util

## Class HFTaskUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFTaskUtil

-     public class HFTaskUtil
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 25..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `DUEDATE_COLOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HFTaskUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getActionEvaluationVisibilityRequestList(TaskData data)` To-do - 요청함 - 평가 수락 / 반려
    `static int` | `getActionRejectedVisibilityRequestList(TaskData data)` To-do - 요청함 - 요청 취소 / 재요청
    `static int` | `getActionVisibilityAssignedList(TaskData data)` To-do - 내 업무 - 수락 / 반려
    `static int` | `getCheckTodayVisibilityAssignedList(TaskData data)` To-do - 내 업무 - 오늘 업무
    `private static java.lang.String` | `getCloseDateText(java.lang.String finished_at, java.lang.String closed_at)`
    `static java.lang.String` | `getCloseDateTextTaskDetail(android.content.Context context, TaskData data)` TASK 상세 완료 날짜 표시
    `private static int` | `getDueDateFontColor(android.content.Context context, boolean isClosed, java.lang.String due_to)`
    `static int` | `getDueDateFontColor(android.content.Context context, int status)` 메인 - 기한(날짜) : 진행 / 완료 폰트 색상
    `static int` | `getDueDateFontColorAssignedList(android.content.Context context, TaskData data)` To-do - 내 업무 - 날짜 표시 칼라값
    `static int` | `getDueDateFontColorDDay(android.content.Context context, java.lang.String due_to, java.lang.String server_time)`
    `static int` | `getDueDateFontColorProjectTaskList(android.content.Context context, ProjectTaskInfo data)` 유닛뷰 - Task 목록 날짜 표시 칼라값
    `static int` | `getDueDateFontColorRequestList(android.content.Context context, TaskData data)` To-do - 요청함 - 날짜 표시 칼라값
    `static int` | `getDueDateFontColorSearchList(android.content.Context context, TaskData data)` 검색 - TASK 검색 - 날짜 표시 칼라값
    `static android.graphics.drawable.Drawable` | `getDueDateIconDrawable(android.content.Context context, java.lang.String due_to, java.lang.String server_time)` 메인 - 기한(날짜) : 아이콘
    `static java.lang.String` | `getDueDateTextAssignedList(android.content.Context context, TaskData data)` To-do - 내 업무 - 날짜 표시
    `static java.lang.String` | `getDueDateTextDDay(android.content.Context context, java.lang.String due_to, java.lang.String server_time)` 메인 - 기한(날짜) : 텍스트 D-DAY 표시 정책 http://www.junstarok.com/redmine/issues/292
    `static java.lang.String` | `getDueDateTextProjectTaskList(android.content.Context context, ProjectTaskInfo data)` 유닛뷰 - Task 목록 날짜 표시
    `static java.lang.String` | `getDueDateTextRequestList(android.content.Context context, TaskData data)` To-do - 내 업무 - 날짜 표시
    `static java.lang.String` | `getDueDateTextSearchList(android.content.Context context, TaskData data)` 검색 - TASK 검색 - 날짜 표시
    `static java.lang.String` | `getDueDateTextTaskDetail(android.content.Context context, TaskData data)` TASK 상세 기한 날짜 표시
    `static int` | `getEvaluationStarVisibilityAssignedList(TaskData data)` To-do - 내업무 - 평가 점수
    `static int` | `getNameFontColor(android.content.Context context, int status)` 메인 - 작성자 이름 : 진행 / 완료 폰트 색상
    `static android.graphics.drawable.Drawable` | `getProjectIssueBottomBackground(android.content.Context context, int evaluation)` PROJECT - 진행상황 칼라값(ISSUE - Bottom)
    `static android.graphics.drawable.Drawable` | `getProjectIssueTopBackground(android.content.Context context, int evaluation)` PROJECT - 진행상황 칼라값(ISSUE - Top)
    `static android.graphics.drawable.Drawable` | `getProjectStatusBackground(android.content.Context context, int evaluation)` PROJECT - 진행상황 칼라값
    `static java.lang.String` | `getRequestStatusText(android.content.Context context, int status, int evaluation)` 메인 - 할일 / 요청함 - 상태 표시 텍스트
    `static android.graphics.drawable.Drawable` | `getStatusBackground(android.content.Context context, int status)` 메인 - 할일 / 요청함 - 상태 표시 폰트 배경 색상
    `static int` | `getStatusFontColor(android.content.Context context, int status)` 메인 - 할일 / 요청함 - 상태 표시 폰트 색상
    `static android.graphics.drawable.Drawable` | `getStatusMessageBackground(android.content.Context context, int type)` TASK 상세 - 댓글 상태 표시 배경 색상
    `static int` | `getStatusMessageFontColor(android.content.Context context, int type)` TASK 상세 - 댓글 상태 표시 폰트 색상
    `static java.lang.String` | `getStatusMessageText(android.content.Context context, int type)` TASK 상세 - 댓글 상태 표시 텍스트
    `static boolean` | `getStatusMessageVisibility(android.content.Context context, int type)` TASK 상세 - 댓글 상태 표시 여부
    `static int` | `getTaskFontColor(android.content.Context context, int status)` 메인 - TASK 명 : 진행 / 완료 폰트 색상
    `static int` | `getTitleMarginVisibilityAssignedList(TaskData data)` To-do - 내 업무 - 제목 여백

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DUEDATE_COLOR

          private static final int DUEDATE_COLOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HFTaskUtil

          public HFTaskUtil()

  - ### Method Detail

    - #### getDueDateFontColorDDay

          public static int getDueDateFontColorDDay(android.content.Context context,
                                                    java.lang.String due_to,
                                                    java.lang.String server_time)

    - #### getDueDateIconDrawable

          public static android.graphics.drawable.Drawable getDueDateIconDrawable(android.content.Context context,
                                                                                  java.lang.String due_to,
                                                                                  java.lang.String server_time)

      메인 - 기한(날짜) : 아이콘
      Parameters:
        `context` - Context
        `due_to` - 기한
        `server_time` - 서버 시간
      Returns:
        아이콘

    - #### getDueDateTextDDay

          public static java.lang.String getDueDateTextDDay(android.content.Context context,
                                                            java.lang.String due_to,
                                                            java.lang.String server_time)

      메인 - 기한(날짜) : 텍스트

      D-DAY 표시 정책
      http://www.junstarok.com/redmine/issues/292

      Parameters:
        `context` - Context
        `due_to` - 기한
        `server_time` - 서버 시간
      Returns:
        텍스트

    - #### getDueDateFontColor

          public static int getDueDateFontColor(android.content.Context context,
                                                int status)

      메인 - 기한(날짜) : 진행 / 완료 폰트 색상
      Parameters:
        `context` - Context
        `status` - TASK 상태
      Returns:
        칼라

    - #### getNameFontColor

          public static int getNameFontColor(android.content.Context context,
                                             int status)

      메인 - 작성자 이름 : 진행 / 완료 폰트 색상
      Parameters:
        `context` - Context
        `status` - TASK 상태
      Returns:
        칼라

    - #### getTaskFontColor

          public static int getTaskFontColor(android.content.Context context,
                                             int status)

      메인 - TASK 명 : 진행 / 완료 폰트 색상
      Parameters:
        `context` - Context
        `status` - TASK 상태
      Returns:
        칼라

    - #### getStatusFontColor

          public static int getStatusFontColor(@NonNull
                                               android.content.Context context,
                                               @NonNull
                                               int status)

      메인 - 할일 / 요청함 - 상태 표시 폰트 색상
      Parameters:
        `context` - Context
        `status` - TASK 상태
      Returns:
        칼라

    - #### getStatusBackground

          public static android.graphics.drawable.Drawable getStatusBackground(@NonNull
                                                                               android.content.Context context,
                                                                               @NonNull
                                                                               int status)

      메인 - 할일 / 요청함 - 상태 표시 폰트 배경 색상
      Parameters:
        `context` - Context
        `status` - TASK 상태
      Returns:
        칼라

    - #### getRequestStatusText

          public static java.lang.String getRequestStatusText(@NonNull
                                                              android.content.Context context,
                                                              @NonNull
                                                              int status,
                                                              @Nullable
                                                              int evaluation)

      메인 - 할일 / 요청함 - 상태 표시 텍스트
      Parameters:
        `context` - Context
        `status` - TASK 상태
      Returns:
        텍스트

    - #### getStatusMessageBackground

          public static android.graphics.drawable.Drawable getStatusMessageBackground(@NonNull
                                                                                      android.content.Context context,
                                                                                      @NonNull
                                                                                      int type)

      TASK 상세 - 댓글 상태 표시 배경 색상
      Parameters:
        `context` - Context
        `type` - MessageType
      Returns:
        칼라

    - #### getStatusMessageFontColor

          public static int getStatusMessageFontColor(@NonNull
                                                      android.content.Context context,
                                                      @NonNull
                                                      int type)

      TASK 상세 - 댓글 상태 표시 폰트 색상
      Parameters:
        `context` - Context
        `type` - MessageType
      Returns:
        칼라

    - #### getStatusMessageText

          public static java.lang.String getStatusMessageText(@NonNull
                                                              android.content.Context context,
                                                              @NonNull
                                                              int type)

      TASK 상세 - 댓글 상태 표시 텍스트
      Parameters:
        `context` - Context
        `type` - MessageType
      Returns:
        텍스트

    - #### getStatusMessageVisibility

          public static boolean getStatusMessageVisibility(@NonNull
                                                           android.content.Context context,
                                                           @NonNull
                                                           int type)

      TASK 상세 - 댓글 상태 표시 여부
      Parameters:
        `context` - Context
        `type` - MessageType
      Returns:
        Boolean

    - #### getProjectStatusBackground

          public static android.graphics.drawable.Drawable getProjectStatusBackground(@NonNull
                                                                                      android.content.Context context,
                                                                                      @NonNull
                                                                                      int evaluation)

      PROJECT - 진행상황 칼라값
      Parameters:
        `context` - Context
        `evaluation` - PROEJCT 상태
      Returns:
        칼라

    - #### getProjectIssueTopBackground

          public static android.graphics.drawable.Drawable getProjectIssueTopBackground(@NonNull
                                                                                        android.content.Context context,
                                                                                        @NonNull
                                                                                        int evaluation)

      PROJECT - 진행상황 칼라값(ISSUE - Top)
      Parameters:
        `context` - Context
        `evaluation` - PROEJCT 상태
      Returns:
        칼라

    - #### getProjectIssueBottomBackground

          public static android.graphics.drawable.Drawable getProjectIssueBottomBackground(@NonNull
                                                                                           android.content.Context context,
                                                                                           @NonNull
                                                                                           int evaluation)

      PROJECT - 진행상황 칼라값(ISSUE - Bottom)
      Parameters:
        `context` - Context
        `evaluation` - PROEJCT 상태
      Returns:
        칼라

    - #### getDueDateFontColorAssignedList

          public static int getDueDateFontColorAssignedList(android.content.Context context,
                                                            @NonNull
                                                            TaskData data)

      To-do - 내 업무 - 날짜 표시 칼라값
      Parameters:
        `context` - Context
        `data` - Task Data
      Returns:
        Color code

    - #### getDueDateFontColorRequestList

          public static int getDueDateFontColorRequestList(android.content.Context context,
                                                           @NonNull
                                                           TaskData data)

      To-do - 요청함 - 날짜 표시 칼라값
      Parameters:
        `context` - Context
        `data` - Task Data
      Returns:
        Color code

    - #### getDueDateFontColorSearchList

          public static int getDueDateFontColorSearchList(@NonNull
                                                          android.content.Context context,
                                                          @NonNull
                                                          TaskData data)

      검색 - TASK 검색 - 날짜 표시 칼라값
      Parameters:
        `context` - Context
        `data` - Task Data
      Returns:
        Color code

    - #### getDueDateFontColorProjectTaskList

          public static int getDueDateFontColorProjectTaskList(@NonNull
                                                               android.content.Context context,
                                                               @NonNull
                                                               ProjectTaskInfo data)

      유닛뷰 - Task 목록 날짜 표시 칼라값
      Parameters:
        `context` - Context
        `data` - Project / Task DATA
      Returns:
        String

    - #### getDueDateFontColor

          private static int getDueDateFontColor(@NonNull
                                                 android.content.Context context,
                                                 @NonNull
                                                 boolean isClosed,
                                                 @NonNull
                                                 java.lang.String due_to)

    - #### getDueDateTextAssignedList

          public static java.lang.String getDueDateTextAssignedList(@NonNull
                                                                    android.content.Context context,
                                                                    @NonNull
                                                                    TaskData data)

      To-do - 내 업무 - 날짜 표시
      Parameters:
        `context` - Context
        `data` - Task Data
      Returns:
        String

    - #### getDueDateTextRequestList

          public static java.lang.String getDueDateTextRequestList(@NonNull
                                                                   android.content.Context context,
                                                                   @NonNull
                                                                   TaskData data)

      To-do - 내 업무 - 날짜 표시
      Parameters:
        `context` - Context
        `data` - Task Data
      Returns:
        String

    - #### getDueDateTextSearchList

          public static java.lang.String getDueDateTextSearchList(@NonNull
                                                                  android.content.Context context,
                                                                  @NonNull
                                                                  TaskData data)

      검색 - TASK 검색 - 날짜 표시
      Parameters:
        `context` - Context
        `data` - Task Data
      Returns:
        String

    - #### getDueDateTextTaskDetail

          public static java.lang.String getDueDateTextTaskDetail(@NonNull
                                                                  android.content.Context context,
                                                                  @NonNull
                                                                  TaskData data)

      TASK 상세 기한 날짜 표시
      Parameters:
        `context` - Context
        `data` - Task Data
      Returns:
        String

    - #### getCloseDateTextTaskDetail

          public static java.lang.String getCloseDateTextTaskDetail(@NonNull
                                                                    android.content.Context context,
                                                                    @NonNull
                                                                    TaskData data)

      TASK 상세 완료 날짜 표시
      Parameters:
        `context` - Context
        `data` - Task Data
      Returns:
        String

    - #### getDueDateTextProjectTaskList

          public static java.lang.String getDueDateTextProjectTaskList(@NonNull
                                                                       android.content.Context context,
                                                                       @NonNull
                                                                       ProjectTaskInfo data)

      유닛뷰 - Task 목록 날짜 표시
      Parameters:
        `context` - Context
        `data` - Project / Task DATA
      Returns:
        String

    - #### getCloseDateText

          private static java.lang.String getCloseDateText(@Nullable
                                                           java.lang.String finished_at,
                                                           @Nullable
                                                           java.lang.String closed_at)

    - #### getCheckTodayVisibilityAssignedList

          public static int getCheckTodayVisibilityAssignedList(@NonNull
                                                                TaskData data)

      To-do - 내 업무 - 오늘 업무
      Parameters:
        `data` - Task data
      Returns:
        View visibility

    - #### getTitleMarginVisibilityAssignedList

          public static int getTitleMarginVisibilityAssignedList(@NonNull
                                                                 TaskData data)

      To-do - 내 업무 - 제목 여백
      Parameters:
        `data` - Task data
      Returns:
        View visibility

    - #### getActionVisibilityAssignedList

          public static int getActionVisibilityAssignedList(@NonNull
                                                            TaskData data)

      To-do - 내 업무 - 수락 / 반려
      Parameters:
        `data` - Task data
      Returns:
        View visibility

    - #### getEvaluationStarVisibilityAssignedList

          public static int getEvaluationStarVisibilityAssignedList(@NonNull
                                                                    TaskData data)

      To-do - 내업무 - 평가 점수
      Parameters:
        `data` - Task data
      Returns:
        View visibility

    - #### getActionEvaluationVisibilityRequestList

          public static int getActionEvaluationVisibilityRequestList(@NonNull
                                                                     TaskData data)

      To-do - 요청함 - 평가 수락 / 반려
      Parameters:
        `data` - Task data
      Returns:
        View visibility

    - #### getActionRejectedVisibilityRequestList

          public static int getActionRejectedVisibilityRequestList(@NonNull
                                                                   TaskData data)

      To-do - 요청함 - 요청 취소 / 재요청
      Parameters:
        `data` - Task data
      Returns:
        View visibility